#' Proxy function to draw kaplan meier curve
#'
#' @param coeff coefficients to be used
#' @param xdata xdata to be fitted in KM
#' @param ydata xdata to be fitted in KM
#' @param name name that is shown in plots
#'
#' @return plot and km object
#' @export
#'
#' @examples
my.draw.kaplan <- function(coeff, xdata, ydata, name) {
  my.list <- list()
  my.list[[' ']] <- coeff
  var.names <- names(coeff)
  if (is.null(var.names))
    var.names <- rownames(coeff)
  draw.kaplan(my.list, xdata[,var.names], ydata, 
              legend.outside = F, filename = name, expand.yzero = T)
}

